# Created by pyp2rpm-3.3.8
%global pypi_name argon2-cffi-bindings

Name:           python-%{pypi_name}
Version:        21.2.0
Release:        %mkrel 2
Summary:        Low-level CFFI bindings for Argon2
Group:          Development/Python
License:        MIT
URL:            https://github.com/hynek/argon2-cffi-bindings
Source0:        %{pypi_source}

BuildRequires:  pkgconfig(libargon2)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
argon2-cffi-bindings provides low-level CFFI bindings to the Argon2 password
hashing algorithm.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
argon2-cffi-bindings provides low-level CFFI bindings to the Argon2 password
hashing algorithm.

%prep
%autosetup -n %{pypi_name}-%{version}

# force system libargon2
rm -rf extras/

%generate_buildrequires
%pyproject_buildrequires -t

%build
export ARGON2_CFFI_USE_SYSTEM=1
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files _argon2_cffi_bindings

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Dec 26 2023 wally <wally> 21.2.0-2.mga10
+ Revision: 2021790
- rebuild for py3.12
- use %%pyproject_buildrequires

* Sun Jan 15 2023 wally <wally> 21.2.0-1.mga9
+ Revision: 1933508
- imported package python-argon2-cffi-bindings

